


gpar1 = >/dev/null title=' ' titlesz=10 titlefat=5 labelrot=y labelfat=2 labelsz=5 wheretitle=t n1tic=5 n2tic=5 whereylabel=l wherexlabel=b wheretics=f label2='x(m)' label1='t(s)' wantaxis2=1 pclip=99 min1=0.8 crowd=0.70 screenratio=1.5
gpar2 = >/dev/null title=' ' titlesz=12 titlefat=1 labelrot=y labelfat=1 labelsz=12 wheretitle=t  crowd=0.70 whereylabel=l wherexlabel=b wheretics=f pclip=99  newclip=1 min1=1000. max2=2000. min2=3000. max2=8000.
gpar3 = >/dev/null title=' ' titlesz=9 titlefat=1 labelrot=y labelfat=1 labelsz=9 wheretitle=t n1tic=5 n2tic=5 crowd=0.75 whereylabel=l wherexlabel=b wheretics=f label2='x(m)'
winn = bclip=-0.05 eclip=0.05  	


# image comparison
panel1-m.v: Data/velmodel.H Data/reflbpzig.H
	< Data/velmodel.H Grey $(gpar3) newclip=1 color=j wantscalebar=1 bartype=h title='a)' titlesz=20 minval=1500. maxval=4000. labelsz=15 label1='z(m)' wantaxis2=0 screenratio=0.29  crowd=0.70 pclip=98 out=junk1.v wantaxis2=0 barlabel='velocity (km/s)'
	< Data/reflbpzig.H Interp d1out=5. | Grey $(gpar3) title='b)' titlesz=20 labelsz=15 label1='z(m)' wantaxis2=1 screenratio=0.29  crowd=0.70 pclip=98 out=junk2.v
	vppen <junk1.v vpstyle=n align=lu yshift=11.5  > 1.v
	vppen <junk2.v vpstyle=n align=lu yshift=0.5  > 2.v
	vppen 1.v 2.v erase=n scale=0.14 > Fig/panel1-m.v
	rm -f junk1.v junk2.v 1.v 2.v


Onelayerv2.v: doOnelayer Data/refl3v2.H Data/sdLmuA1.H Data/rtmOneA.H Data/InvOneA.H
	rm -f junk1.v junk2.v junk3.v junk4.v 1.v 2.v 3.v 4.v Fig/temp.v
	< Data/refl3v2.H  Grey $(gpar2) pclip=100 label1="z(m)" label2="x(m)" wantaxis2=0  title="a)"  out=junk1.v
	< Data/sdLmuA1.H Grey $(gpar2)  wantaxis1=1 label1='t(s)' label2='x(m)' wantaxis2=0   title='b)' out=junk2.v
	< Data/rtmOneA.H  Grey $(gpar2) pclip=95 wantaxis1=1 label1='z(m)' label2='x(m)' wantaxis2=1   title='c)' out=junk3.v
	< Data/InvOneA.H  Grey $(gpar2)  pclip=95 wantaxis1=0 label1='z(m)' label2='x(m)' title='d)' wantaxis2=1  out=junk4.v
	vppen < junk1.v vpstyle=n xshift=0 yshift=8.5 > 1.v
	vppen < junk2.v vpstyle=n xshift=11.5 yshift=8.5 > 2.v	
	vppen < junk3.v vpstyle=n xshift=0 yshift=0 > 3.v
	vppen < junk4.v vpstyle=n xshift=11.5 yshift=0 > 4.v	
	vppen 1.v 2.v 3.v 4.v erase=n scale=0.2 > Fig/temp.v
	vp_annotate < Fig/temp.v text=Ant/antOnelayer.txt batch=y > Fig/Onelayerv2.v
	rm -f junk1.v junk2.v junk3.v junk4.v 1.v 2.v 3.v 4.v Fig/temp.v

dataCom.v: Data/sdNoiH8.H Data/sdLmuF8.H
	rm -f junk1.v junk2.v 1.v 2.v
	< Data/sdNoiH8.H  Transp |   Grey $(gpar1) title='a)'   out=junk1.v
	< Data/sdLmuF8.H   Transp |   Grey $(gpar1) title='b)' wantaxis1=0 out=junk2.v
	vppen < junk1.v vpstyle=n xshift=0.5 yshift=0. > 1.v
	vppen < junk2.v vpstyle=n xshift=6.5 yshift=0. > 2.v
	vppen 1.v 2.v erase=n > Fig/dataCom.v
	rm -f junk1.v junk2.v 1.v 2.v

Zoomv2.v: Data/rtmPrimary.H Data/InvPrimary.H Data/rtmMultiple.H Data/InvMultiple.H Data/reflbpzig.H
	rm -f 1.v 2.v 3.v 4.v 5.v 6.v junk*.v 
	< Data/rtmPrimary.H   Grey $(gpar2) $(winn) label1="z(m)" label2="x(m)" wantaxis2=0  title="a)"  out=junk1.v
	< Data/InvPrimary.H  Grey $(gpar2) $(winn)  wantaxis1=0 label1='z(m)' label2='x(m)' wantaxis2=0   title='b)' out=junk2.v
	< Data/rtmMultiple.H   Grey $(gpar2) $(winn) wantaxis1=1 label1='z(m)' label2='x(m)' wantaxis2=0   title='c)' out=junk3.v
	< Data/InvMultiple.H  Grey $(gpar2) $(winn)  wantaxis1=0 label1='z(m)' label2='x(m)' title='d)' wantaxis2=0  out=junk4.v
	< Data/reflbpzig.H   Grey $(gpar2) bclip=-0.03 eclip=0.03 wantaxis1=1 label1='z(m)' label2='x(m)' wantaxis2=1   title='e)' out=junk5.v
	< Input/velzig.H  Grey $(gpar2)  newclip=1 color=j wantaxis1=0 label1='z(m)' label2='x(m)' title='f)' wantaxis2=1  out=junk6.v	
	vppen < junk1.v vpstyle=n xshift=0 yshift=18. > 1.v
	vppen < junk2.v vpstyle=n xshift=11.5 yshift=18. > 2.v	
	vppen < junk3.v vpstyle=n xshift=0 yshift=9 > 3.v
	vppen < junk4.v vpstyle=n xshift=11.5 yshift=9 > 4.v	
	vppen < junk5.v vpstyle=n xshift=0 yshift=0 > 5.v
	vppen < junk6.v vpstyle=n xshift=11.5 yshift=0 > 6.v	
	vppen 1.v 2.v 3.v 4.v 5.v 6.v erase=n scale=0.2 > Fig/temp.v
	vp_annotate < Fig/temp.v text=Ant/antZoomv2.txt batch=y > Fig/Zoomv2.v
	rm -f 1.v 2.v 3.v 4.v 5.v 6.v junk*.v Fig/temp.v


