#! /usr/bin/env python
#from SEP import *
import commands as cmd
import re,string
import sys, os
import os.path as path

# This code precompute and save the source wavefields
from pyLocLmu import *

# 1=A, 2=B, 3=C, 4=D, 5=E
# 6=F, 7=G, 8=H, 9=I, 10=J
# 11=K, 12=L, 13=M, 14=N, 15=)
K=[1,2,3,4,5,6,7,8,9,10,11,12,13,14,15]
KL=[2,3,4,5,6,7,8,9,10,11,12,13,14,15]
plet='C'


maindir = 'souwfld/C'
progname = 'SouGen2dDn'


os.system('make %s/SouGenMul.x'%(sbin))

#for i in [1]:	
for i in K[:]:
	a1 = '%s'%(L[i][0])
	Gx = L[i][1]
	Gz = L[i][3]
	submitted = 0
	while (submitted == 0):
		# flag = number of job running
		os.system("ps >&"+maindir+"/file.log")
		flag = os.system("grep -c "+progname+" "+maindir+"/file.log >&"+maindir+"/count.txt")
		f = open(maindir+'/count.txt')
		os.system("rm -f "+maindir+"/file.log "+maindir+"/count.txt")
		flag = int(f.readline())	
		print 'number of proc found', flag	
		
		if (flag < Nproc):
			print 'SouGenMul: submitting shot #', i
			os.system('Rm %s/swLmu%s%s.H %s/ampLmu%s%s.H ASfileA.H wfldout2.H'%(maindir,plet,i,maindir,plet,i))
			cmd1 = "<Input/Vel3.H %s/SouGen2dDnMul.x par=Par/souLmuA.par  Gx=%s Gz=%s nop=8   soufile='Input/ric1Band22hz15msSecDer.H' wfldout=0 ampfile=%s/ampLmu%s%s.H outtag=%s/swLmu%s%s.H  >&%s/logfile/swLmu%s%s.log &"%(sbin,Gx,Gz,maindir,plet,i,maindir,plet,i,maindir,plet,i)
			print cmd1
			os.system(cmd1)
			submitted = 1
		else:
			print 'Number of proc',flag,'wait 20'
			os.system("sleep 20")




flag=4



while (flag > 0):
	print "not done yet, sleep 20"
	os.system("sleep 20")	
	os.system("ps >&"+maindir+"/file.log")	
	flag = os.system("grep -c "+progname+" "+maindir+"/file.log >&"+maindir+"/count.txt")
	f = open(maindir+'/count.txt')
	flag = int(f.readline())
	print 'number of process found', flag
	os.system("rm -f "+maindir+"/count.txt "+maindir+"/file.log")


print "Good bye!"
