#! /usr/bin/env python
#from SEP import *
import commands as cmd
import re,string
import sys, os
import os.path as path


import pyInvmodRegOneDir
sbin = "./bin"


def run(maindir,projdir,velfile,parFor,parAdj, plet,K,nmz,omz,dmz,nmx,omx,dmx,nhx,modax,datax, dirdata, smooth,lpfil,VDer,gauss,DW, soufile,MWfile, DWfile, Rname,eps,ratio):
	dirm = projdir + "/m/mLmu"+plet
	dirdm = projdir + "/dm/dmLmu"+plet
	dirs = projdir + "/s/sLmu"+plet
	dirgg = projdir + "/gg/ggLmu"+plet
	dirss = projdir + "/ss/ssLmu"+plet
	dirrr = projdir + "/rr/rrLmu"+plet
	dirrrm = projdir + "/rrm/rrmLmu"+plet
	dirssm = projdir + "/ssm/ssmLmu"+plet
	dirggm = projdir + "/ggm/ggmLmu"+plet
	dmm    = projdir + '/dm/dmMLmu'+plet
        sep = '/opt/SEP/SEP7.0'


	
	# Step 0: Create initial model
	cmd1 = "%s/bin/Vel n1=%s n2=%s n3=%s o1=0. o2=0. d1=1. d2=1. d3=1 vc=0. > %sTotaliter1.H"%(sep,nmz,nmx,2*nhx+1,dirm)	
	print cmd1
	os.system(cmd1)
	cmd2 ="echo 'o1=%s o2=%s o3=%s d1=%s d2=%s d3=%s label1=z label2=x label3=hx' >> %sTotaliter1.H"%(omz,omx,-nhx*dmx,dmz,dmx,dmx,dirm)
	os.system(cmd2)


	# Step 1: Copy all data into /rr/ 
	for i in K[:]:
		if (DW):
			#  rrd = - Wd
			C1 = "%s/ApplyWgt.x <%s/%s%s.H Wgtfile=%s/%s%s.H outfile=t1.H >/dev/null"%(sbin, maindir,dirdata,i,maindir,DWfile,i)
			print C1
			os.system(C1)
			C2 = "%s/updateAB.x alpha=-1. cg=1 naxis=%s file1=t1.H outfile=%s%siter1.H >/dev/null"%(sbin,datax,dirrr,i)
			print C2
			os.system(C2)
			os.system('Rm t1.H')
		else:		
			C1 = "%s/updateAB.x alpha=-1. cg=1 naxis=%s file1=%s/%s%s.H outfile=%s%siter1.H >/dev/null"%(sbin,datax,maindir,dirdata,i,dirrr,i)
			print C1
			os.system(C1)

#	# Step 1b: rrm = 0.
	cmd1 = 'cp %sTotaliter1.H %siter1.H '%(dirm,dirrrm)
	print cmd1
	os.system(cmd1)        
	

        #Step 3: Run adjoint to calculate dm
#	pyInvmodRegOneDir.Adjoint(maindir, projdir, velfile, parAdj, plet, K, smooth, lpfil,VDer, gauss, DW, soufile, MWfile, DWfile, Rname, eps, ratio, modax, nhx, 1) 
#	pyInvmodRegOneDir.Add(dirdm, 1, modax, K,dmm)
	
	#sys.exit('exit here now')
	
	# Step 4: Forward gg = Fdm, ggm= eps A dm        
	pyInvmodRegOneDir.Forward(maindir, projdir, velfile, parFor, plet, K,  smooth, lpfil, VDer, gauss, DW, soufile, MWfile, DWfile, Rname, eps, ratio, modax, nhx, 1)
        	

	# Step 5: Calculate the alpha in Conjugate gradient
	alpha, beta = pyInvmodRegOneDir.DPcalCG(projdir,plet,K,1,datax, modax, dirdm, dirggm, dirgg, dirrr, dirrrm)	
	print 'alpha, beta', alpha, beta


	#  Step 6: Update the  data residual files
	for i in K[:]:
                print 'residual update, iter 1 shot', i
                #  calculate your ss file ss=alpha*gg	
                C1 = "%s/updateAB.x alpha=%s cg=1 naxis=%s file1=%s%siter1.H outfile=%s%siter2.H >/dev/null"%(sbin,alpha,datax,dirgg,i,dirss,i)
                print C1
		os.system(C1)
			             
		#  update your current residual here  rr = rr+ss
		C1 = "%s/updateAB.x alpha=1.0 beta=1.0 naxis=%s file1=%s%siter1.H file2=%s%siter2.H outfile=%s%siter2.H >/dev/null"%(sbin,datax,dirrr,i,dirss,i,dirrr,i)
		print C1
		os.system(C1)
		
	#Step 6b: Update the  model residual files
	print 'update model residual, iter 1'
	# calculate ssm = alpha*ggm 
	C1 = "%s/updateAB.x alpha=%s cg=1 naxis=%s file1=%siter1.H outfile=%siter2.H >/dev/null"%(sbin,alpha,modax,dirggm,dirssm)
	print C1	
	os.system(C1)  
	# Calculate your new rrm = rrm + ssm
	C1 = "%s/updateAB.x alpha=1.0 beta=1.0 naxis=%s file1=%siter1.H file2=%siter2.H outfile=%siter2.H >/dev/null"%(sbin,modax,dirrrm,dirssm,dirrrm)	
	print C1
	os.system(C1)

	
	# Step 7: Update the model files
	# Calculate your new s=alpha*dm
	print 'update model, iter 1'
	C1 = "%s/updateAB.x alpha=%s cg=1 naxis=%s file1=%sTotaliter1.H outfile=%sTotaliter2.H >/dev/null"%(sbin,alpha,modax,dirdm,dirs)
	print C1	
	os.system(C1)  
	# Calculate your new m = m+s
	C1 = "%s/updateAB.x alpha=1.0 beta=1.0 naxis=%s file1=%sTotaliter1.H file2=%sTotaliter2.H outfile=%sTotaliter2.H >/dev/null"%(sbin,modax,dirm,dirs,dirm)	
	print C1
	os.system(C1)
	



